Package org.gradle.api.distribution.plugins

# Class DistributionPlugin

java.lang.Object
org.gradle.api.distribution.plugins.DistributionPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class DistributionPlugin extends Object implements Plugin<Project>

A `Plugin` to package project as a distribution.

See Also:
  - Distribution plugin reference

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MAIN_DISTRIBUTION_NAME`
  Name of the main distribution
  `static final String`
  `TASK_INSTALL_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistributionPlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.file.FileOperations fileOperations, org.gradle.api.internal.CollectionCallbackActionDecorator callbackActionDecorator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAIN_DISTRIBUTION_NAME

    public static final String MAIN_DISTRIBUTION_NAME
    Name of the main distribution
    See Also:
      - Constant Field Values

  - ### TASK_INSTALL_NAME

    public static final String TASK_INSTALL_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DistributionPlugin

    @Inject public DistributionPlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.file.FileOperations fileOperations, org.gradle.api.internal.CollectionCallbackActionDecorator callbackActionDecorator)

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object